Bug 172366 - mkinitrd error during kernel install
Summary: mkinitrd error during kernel install
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: rawhide
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-03 13:20 UTC by John Ellson
Modified: 2008-05-07 00:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:17:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ellson 2005-11-03 13:20:26 UTC
Description of problem:
rpm -ivh kernel-2.6.14-1.1639_FC5.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
cp: cannot create special file `/tmp/initrd.T32069/dev/md0': File exists


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1639

How reproducible:
Only happens on my one athlon system with sw raid, doesn't happen on similar
i686 systems.

Steps to Reproduce:
1.kernel-2.6.14-1.1639_FC5.i686.rpm
2.( also with: mkinitrd /boot/initrd-2.6.14-1.1639_FC5.img 2.6.14-1.1639_FC5 )
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Ellson 2005-12-01 19:57:00 UTC
That system is now upto
   kernel-2.6.14-1.1729_FC5
   mkinitrd-5.0.12-1
and now generates:

root@onthehouse:boot# mkinitrd initrd-2.6.14-1.1729_FC5.img 2.6.14-1.1729_FC5
ERROR: hpt37x: wrong # of devices in RAID set "hpt37x_ceiefdgded" [1/2] on /dev/sdb
ERROR: removing inconsistent RAID set "hpt37x_ceiefdgded"

RAID is working fine on the active kernel-2.6.14-1.1696_FC5

Comment 2 Bug Zapper 2008-04-03 16:36:40 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 00:17:42 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.